Subject: linux-next: build failure after merge of the pm tree

From: Mark Brown <[email-masked]>
Date: Mon, 30 Mar 2026 20:56:38 +0100

Hi all,

After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

/tmp/next/build/drivers/powercap/intel_rapl_common.c:1143:32: error:
'IOSF_CPU_POWER_BUDGET_CTL_BYT' undeclared here (not in a function)
 1143 |         .floor_freq_reg_addr = IOSF_CPU_POWER_BUDGET_CTL_BYT,
      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/tmp/next/build/drivers/powercap/intel_rapl_common.c:1150:32: error:
'IOSF_CPU_POWER_BUDGET_CTL_TNG' undeclared here (not in a function)
 1150 |         .floor_freq_reg_addr = IOSF_CPU_POWER_BUDGET_CTL_TNG,
      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Caused by commit

  6cec0a0079bc1 (powercap: intel_rapl: Remove unused macro definitions)

I have used the tree from next-20260327 instead.